View Issue Details

IDProjectCategoryView StatusLast Update
00287072.1 IDE Bugs [2.x IDE Bugs] ConfigurationsPublic2018-04-16 12:21
ReporterSam CummingAssigned ToChris Harrison 
PriorityHighSeverityC - GeneralReproducibility100%
Status AssignedResolutionOpen 
Product Version 
Fixed in Version 
Summary0028707: Configurations: [Individual configs] do not hold the Extension settings
DescriptionWith the way the configurations are currently working I cannot successfully separate an AMAZON config from the DEFAULT config and have them both utilize extensions independently. That is, have an extension exclusively in one config and not the other (both ways eg. 1 that's in DEFAULT and not in AMAZON and another that is in AMAZON and not in DEFAULT). The manifest from any extension "ticked off" in DEFAULT always gets included in the other configs.

Also, the extension I have checked in the AMAZON config doesn't get built into the export unless it is checked in the DEFAULT.

Right now, I have to manipulate the DEFAULT config each time I build for Amazon and again for Google Play. I make mistakes, and the whole build process becomes much longer and error prone.


Steps To Reproduce1) Create an AMAZON config. Add the AmazonGameCircle extension that you expect to only be in this configuration. Check it for Android. Uncheck it in the DEFAULT config.
2) Add Google Play Services and Check it in the DEFAULT configuration. Uncheck it in the AMAZON config.
3) Build the AMAZON build to see that the Google Play Services extension is included, but the AmazonGameCircle extension is not.
Additional InformationReported by Chris Lee via Helpdesk.
2.x IDE Found In
2.x Runtime Found In2.1.3.189
2.x IDE Verified In
2.x Runtime Verified In2.1.3.189

Activities

Sam Cumming

2018-01-12 13:54

Adminstrator   ~0057302

Duplicate > 0028490 - Closing.

Sam Cumming

2018-01-12 14:15

Adminstrator   ~0057306

This isn't actually a duplicate, my mistake.

Daniel Cleaton

2018-01-15 09:19

Adminstrator   ~0057318

Isn't it?

Sam Cumming

2018-01-15 10:23

Adminstrator  

GMSConfigDemo.yyz (20,132,128 bytes)

Sam Cumming

2018-01-15 10:33

Adminstrator   ~0057320

Yes, this still occurs in Red 1308 / rt 897.

I've attached a sample from Chris. It has two configs: 'default' and 'Amazon'.

'default': GooglePlayServicesExtension is copied to Android. AmazonGameCircle & IAPs are not.

'Amazon': AmazonGameCircle & IAPs are copied to Android. GooglePlayServicesExtension is not.


If you build an APK using 'default' and go to: GMS2CACHE\GMSConfig[misc]\Android\default\com.company.game\src\main\java\com\company\game, you'll see that the Google APK is pushed to the APK.

If you build an APK using 'Amazon' and go to the same path, you'll see that the Google APK is still pushed, no Amazon extensions are sent.

Now, change the Default config to push Amazon Extensions instead using Copies To, and repeat the above step. You'll see that the Amazon Extensions are pushed fine.


It seems we only care about what's in the Default Config for extensions. Other configs will inherit default with regards to Extensions, and we lose the extension configuration in child configs.

Mike Dailly

2018-02-19 15:58

Manager   ~0057802

Default is what everything is based from.

Wouldn't you create 2 configs, Amazon and (say) Windows. Then they are separate and you can disable the extension in the proper config?

Sam Cumming

2018-02-19 16:23

Adminstrator   ~0057803

That's what's broken: Regardless of what child config you select, you'll always get the contents of Default, even if you don't want it. It overrides the child.

Sam Cumming

2018-02-22 14:40

Adminstrator   ~0057857

Just appears to be using the default config for extensions, not any of the child configs at all.